# Simple Table

[![npm version](https://img.shields.io/npm/v/simple-table-core.svg)](https://www.npmjs.com/package/simple-table-core)
[![npm downloads](https://img.shields.io/npm/dm/simple-table-core.svg)](https://www.npmjs.com/package/simple-table-core)
[![GitHub stars](https://img.shields.io/github/stars/petera2c/simple-table.svg)](https://github.com/petera2c/simple-table)
[![License](https://img.shields.io/npm/l/simple-table-core.svg)](LICENSE)

Simple Table is a **lightweight**, **high-performance** React data grid component for building modern, scalable applications. With a **simple API**, **completely free features**, and a focus on developer experience, Simple Table makes it easy to create powerful, responsive tables.

## Why Simple Table?

- **100% Free**: All features included at no cost - no premium versions or paid add-ons
- **Lightweight**: Only 16 kB (minified + gzipped) for fast loading
- **Intuitive**: Minimal boilerplate with a clean, React-first API
- **TypeScript-ready**: Full TypeScript support for type-safe development

## 🚀 Quick Start

Get started with Simple Table in just a few lines of code!

### Installation

```bash
npm install simple-table-core
```

### 📖 Complete Guide

**[👉 Follow our Quick Start Guide](https://www.simple-table.com/docs/quick-start)** for step-by-step instructions and live examples.

## Features

- **Data Management**

  - Sorting, filtering, and grouping
  - Pagination and infinite scrolling
  - Row and column virtualization for large datasets
  - Export to CSV/Excel

- **Customization**
  - Custom cell rendering and editors
  - Responsive design
  - Flexible styling options
  - TypeScript support

## Live Demo

<div align="center">
    <img src="https://github.com/petera2c/simple-table-marketing/blob/main/src/assets/simple-table-demo-fast.gif?raw=true" alt="Simple Table Demo" width="600" />
</div>

## 🎯 Live Examples

Explore our interactive examples with complete source code:

### 📊 **[Finance Dashboard](https://www.simple-table.com/examples/finance)**

Complete financial data table with advanced filtering and sorting

### 💰 **[Sales Dashboard](https://www.simple-table.com/examples/sales)**

Sales analytics table with custom cell renderers and grouping

### 📘 **[Documentation & More Examples](https://www.simple-table.com/docs/installation)**

Browse all available examples and comprehensive documentation

## 📚 Resources

- **🌐 Website**: [Simple Table](https://www.simple-table.com/)
- **📖 Documentation**: [Complete Documentation](https://www.simple-table.com/docs/installation)
- **🚀 Quick Start**: [Get Started Now](https://www.simple-table.com/docs/quick-start)

## Community & Support

Join our growing community to ask questions or share feedback:

- **Discord**: [Join us on Discord](https://discord.gg/RvKHCfg3PC)
- **GitHub**: [Report bugs or suggest features](https://github.com/petera2c/simple-table/issues)

## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.
