import { ReactNode, RefObject } from "react";
import HeaderObject from "../../types/HeaderObject";
import CellChangeProps from "../../types/CellChangeProps";
import Theme from "../../types/Theme";
import Row from "../../types/Row";
import ColumnEditorPosition from "../../types/ColumnEditorPosition";
import TableRefType from "../../types/TableRefType";
import OnNextPage from "../../types/OnNextPage";
import "../../styles/simple-table.css";
import { FilterCondition } from "../../types/FilterTypes";
interface SimpleTableProps {
    allowAnimations?: boolean;
    cellUpdateFlash?: boolean;
    columnEditorPosition?: ColumnEditorPosition;
    columnEditorText?: string;
    columnReordering?: boolean;
    columnResizing?: boolean;
    defaultHeaders: HeaderObject[];
    editColumns?: boolean;
    editColumnsInitOpen?: boolean;
    expandAll?: boolean;
    expandIcon?: ReactNode;
    externalFilterHandling?: boolean;
    height?: string;
    hideFooter?: boolean;
    nextIcon?: ReactNode;
    onCellEdit?: (props: CellChangeProps) => void;
    onColumnOrderChange?: (newHeaders: HeaderObject[]) => void;
    onFilterChange?: (filter: FilterCondition) => void;
    onGridReady?: () => void;
    onNextPage?: OnNextPage;
    prevIcon?: ReactNode;
    rowGrouping?: string[];
    rowHeight?: number;
    rowIdAccessor: string;
    rows: Row[];
    rowsPerPage?: number;
    selectableCells?: boolean;
    selectableColumns?: boolean;
    shouldPaginate?: boolean;
    sortDownIcon?: ReactNode;
    sortUpIcon?: ReactNode;
    tableRef?: RefObject<TableRefType | null>;
    theme?: Theme;
    useOddColumnBackground?: boolean;
    useHoverRowBackground?: boolean;
    useOddEvenRowBackground?: boolean;
}
declare const SimpleTable: (props: SimpleTableProps) => import("react/jsx-runtime").JSX.Element | null;
export default SimpleTable;
