/// <reference types="react" />
import HeaderObject from "../types/HeaderObject";
import type TableRowType from "../types/TableRow";
import Cell from "../types/Cell";
export declare const createSetString: ({ rowIndex, colIndex, rowId }: Cell) => string;
interface UseSelectionProps {
    selectableCells: boolean;
    headers: HeaderObject[];
    tableRows: TableRowType[];
    rowIdAccessor: string;
    onCellEdit?: (props: any) => void;
    cellRegistry?: Map<string, any>;
}
declare const useSelection: ({ selectableCells, headers, tableRows, rowIdAccessor, onCellEdit, cellRegistry, }: UseSelectionProps) => {
    getBorderClass: ({ colIndex, rowIndex, rowId }: Cell) => string;
    handleMouseDown: ({ colIndex, rowIndex, rowId }: Cell) => void;
    handleMouseOver: ({ colIndex, rowIndex, rowId }: Cell) => void;
    handleMouseUp: () => void;
    isCopyFlashing: ({ colIndex, rowIndex, rowId }: Cell) => boolean;
    isWarningFlashing: ({ colIndex, rowIndex, rowId }: Cell) => boolean;
    isInitialFocusedCell: ({ rowIndex, colIndex, rowId }: Cell) => boolean;
    isSelected: ({ colIndex, rowIndex, rowId }: Cell) => boolean;
    lastSelectedColumnIndex: number | null;
    pasteFromClipboard: () => Promise<void>;
    selectColumns: (columnIndices: number[], isShiftKey?: boolean) => void;
    selectedCells: Set<string>;
    selectedColumns: Set<number>;
    setInitialFocusedCell: import("react").Dispatch<import("react").SetStateAction<Cell | null>>;
    setSelectedCells: import("react").Dispatch<import("react").SetStateAction<Set<string>>>;
    setSelectedColumns: import("react").Dispatch<import("react").SetStateAction<Set<number>>>;
    deleteSelectedCells: () => void;
};
export default useSelection;
