import HeaderObject from "../types/HeaderObject";
export type ColumnIndices = Record<string, number>;
/**
 * Calculates column indices for all headers to ensure consistent colIndex values
 * This function is used in both TableBody and TableHeader components
 *
 * Note: In hierarchical headers, a parent header and its first child can share
 * the same column index, which is needed for proper alignment in the grid.
 */
export declare function calculateColumnIndices({ headers, pinnedLeftColumns, pinnedRightColumns, }: {
    headers: HeaderObject[];
    pinnedLeftColumns: HeaderObject[];
    pinnedRightColumns: HeaderObject[];
}): ColumnIndices;
