import TableRow from "../types/TableRow";
import Row from "../types/Row";
import { RowId } from "../types/RowId";
/**
 * Get the row ID from a row using the specified accessor or fall back to index
 */
export declare const getRowId: (row: Row, index: number, rowIdAccessor?: string) => RowId;
/**
 * Get nested rows from a row based on the grouping path
 */
export declare const getNestedRows: (row: Row, groupingKey: string) => Row[];
/**
 * Check if a row has nested rows for a given grouping key
 */
export declare const hasNestedRows: (row: Row, groupingKey?: string) => boolean;
/**
 * Flatten rows recursively based on row grouping configuration
 * Now calculates ALL properties including position and isLastGroupRow
 */
export declare const flattenRowsWithGrouping: ({ depth, expandAll, expandedRows, rowGrouping, rowIdAccessor, rows, }: {
    depth?: number | undefined;
    expandAll?: boolean | undefined;
    expandedRows: Set<string>;
    rowGrouping?: string[] | undefined;
    rowIdAccessor?: string | undefined;
    rows: Row[];
}) => TableRow[];
